From: David Paleino <dapal@debian.org>
Subject: fix various issues during the build
Origin: vendor
Forwarded: no

---
 configure.ac    |    4 ++--
 doc/Doxyfile.in |    2 +-
 doc/Makefile.am |    4 +++-
 3 files changed, 6 insertions(+), 4 deletions(-)

--- libpgf.orig/configure.ac
+++ libpgf/configure.ac
@@ -1,4 +1,4 @@
-AC_INIT(src/PGFimage.cpp)
+AC_INIT(libpgf, 6.12.24)
 
 dnl The library interface version
 dnl see documentation for versioning in the libtool manual
@@ -24,7 +24,7 @@ PACKAGE_RELEASE=2
 
 AC_SUBST(PACKAGE_RELEASE)
 
-AM_INIT_AUTOMAKE(libpgf,6.12.24)
+AM_INIT_AUTOMAKE([foreign])
 AC_PROG_LIBTOOL
 AM_CONFIG_HEADER( config.h )
 AC_PROG_CXX
--- libpgf.orig/doc/Makefile.am
+++ libpgf/doc/Makefile.am
@@ -1,6 +1,8 @@
-DOC_MODULE=$(PACKAGE)-$(VERSION)
+DOC_MODULE=$(PACKAGE)
 DOC_DIR=$(DESTDIR)$(datadir)/doc/$(DOC_MODULE)
 
+all: doc
+
 doc: html/index.html
 
 clean-local:
--- libpgf.orig/doc/Doxyfile.in
+++ libpgf/doc/Doxyfile.in
@@ -703,7 +703,7 @@ EXCLUDE_SYMLINKS       = NO
 # against the file with absolute path, so to exclude all test directories 
 # for example use the pattern */test/*
 
-EXCLUDE_PATTERNS       = 
+EXCLUDE_PATTERNS       = */debian/*
 
 # The EXCLUDE_SYMBOLS tag can be used to specify one or more symbol names 
 # (namespaces, classes, functions, etc.) that should be excluded from the 
